using System;
using LeerDato;
namespace Agenda
{
  struct tpersona
  {
    public string nombre;
    public int teléfono;
  }

  class Program
  {
    public static void Main(string[] args)
    {
      int nElementos = 100;
      tpersona[] agenda = new tpersona[nElementos];
      int i = 0; // índices 0 a 99

      for (i = 0; i < nElementos; i++)
      {
        Console.Write("Nombre: ");
        agenda[i].nombre = Console.ReadLine();
        // Si se pulsó [Ctrl][z], salir del bucle
        if (agenda[i].nombre == null) break;
        Console.Write("Teléfono: ");
        Leer.DatoInt(ref agenda[i].teléfono);
      }
      int elementos_en_la_agenda = i;

      string nombre = null;
      int r = -1;
      Console.Write("Nombre total o parcial a buscar: ");
      nombre = Console.ReadLine();
      // Buscar si "nombre" está en la agenda
      for (i = 0; i < elementos_en_la_agenda; i++)
      {
        r = agenda[i].nombre.IndexOf(nombre);
        if (r != -1) break;
      }
      if (r == -1)
        Console.WriteLine("No se encuentra en la agenda");
      else
        Console.WriteLine("El teléfono de {0} es {1}", agenda[i].nombre, agenda[i].teléfono);
      
      Console.Write("Pulse una tecla para continuar...");
      Console.ReadKey(true);
    }
  }
}
